
local gr = love.graphics

function love.load()
	love.window.setMode( 420, 160, {borderless=true} )
	gr.setBackgroundColor( 145, 125, 105 )
	font	= love.graphics.newFont( 11 )
	gr.setFont( font )
	eye		= gr.newImage( 'CBS_eye.png' )
	sock	= gr.newImage( 'CBS_socket.png' )
	loc		= eyeLocation( 38, 78, 16, 8 )
	arrow	= gr.newImage( 'left.png' )
	end

function love.draw()
	sel = select( 'eye', 330, 80, {'N','NE','E','SE','S','SW','W','NW'} )
	gr.setColor( 255, 255, 255 )
	if sel == 0 then
		gr.draw( eye,loc[9].x,loc[9].y,0,1,1,eye:getWidth()/2,eye:getHeight()/2 )
		else
		gr.draw( eye,loc[sel].x,loc[sel].y,0,1,1,eye:getWidth()/2,eye:getHeight()/2 )
		end
	gr.draw(sock,0,40)
	end

function love.keypressed(key)
	if key == 'escape'  then love.event.push( 'quit' ) end
	end

function select( name, x, y, tab )
	local selected	= 0
	local radius	= font:getHeight()
	local Radius	= radius * #tab/1.8
	local an		= 2 * math.pi / #tab
	for i = 0, #tab-1 do
		local ox, oy = textOffsets(tab[i+1])
		X = Radius*math.cos(an*i-math.pi/2)+x
		Y = Radius*math.sin(an*i-math.pi/2)+y
		gr.circle( 'line', X, Y, radius )
		gr.print( tab[i+1], X+ox, Y+oy )
		if mouseOver( X, Y, radius ) then selected = i+1 end
		end
	local ox, oy = textOffsets( name )
	gr.print( name, x+ox, y+oy )
	if selected ~= 0 then
		gr.setColor( 0, 0, 0 )
		gr.draw(arrow,x,y,an*(selected+1),.35,.35,arrow:getWidth()/2,arrow:getHeight()/2)
		end
	return selected
	end

function textOffsets( text )
	oy = -font:getHeight(text)/2
	ox = -font:getWidth(text)/2
	return ox,oy
	end

function mouseOver( x,y,r )
	mx, my = love.mouse.getPosition( )
	dis = math.sqrt( (mx-x)^2+(my-y)^2 )
	return dis < r
	end

function eyeLocation( x, y, r, n)
	local loc	= {}
	local an	= 2 * math.pi / n
	for i = 0, n-1 do
		loc[i+1]= { x=r*math.cos(an*i-math.pi/2)+x, y=r*math.sin(an*i-math.pi/2)+y }
		end
	loc[9]		= { x=x, y=y }
	return loc
	end
